> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leamout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate AI integration secret

> Requires voice-agents:write on the organization credential.



## OpenAPI

````yaml /openapi.json post /v1/ai-integrations/{integration_id}/rotate
openapi: 3.1.0
info:
  title: Leamout API
  version: 1.0.0
  description: >-
    Current public HTTP routes for the Leamout autonomous Voice Agent control
    plane. Configure your own SIP trunks and AI integrations.
servers:
  - url: https://api.leamout.com
    description: Leamout API
security: []
tags:
  - name: Voice Agents
  - name: AI Integrations
  - name: Agent Tools
  - name: Calls
  - name: SIP Trunks
  - name: Phone Numbers
  - name: Recordings
  - name: WebRTC
  - name: Webhooks
  - name: Commercial
  - name: Storage
  - name: Network policies
  - name: Retention policies
  - name: Audit events
paths:
  /v1/ai-integrations/{integration_id}/rotate:
    post:
      tags:
        - AI Integrations
      summary: Rotate AI integration secret
      description: Requires voice-agents:write on the organization credential.
      operationId: post_v1_ai_integrations_integration_id_rotate
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AIIntegrationRotate'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope'
        default:
          description: Error response envelope
      security:
        - organizationToken: []
components:
  schemas:
    AIIntegrationRotate:
      type: object
      properties:
        secret:
          type: string
      required:
        - secret
      additionalProperties: false
    SuccessEnvelope:
      type: object
      properties:
        success:
          type: boolean
          const: true
        data: {}
      required:
        - success
        - data
  securitySchemes:
    organizationToken:
      type: http
      scheme: bearer
      bearerFormat: opaque
      description: Scoped organization API token (lm_org_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.